Subject: RE: Routing Header Considered Harmful

From: "Brian Zill" <[email-masked]>
Date: Wed, 5 Sep 2001 14:51:40 -0700

Note that besides Mobile IPv6 there is currently at least one other
valid (and very handy) use for the routing header -- round-trip
traceroute.  You do the traceroute with the "destination" as the
intermediate node and yourself as the final destination, and you get
back replies from all the routers on both the forward and reverse paths.
This is very useful for tracking down problems along asymmetric routes.
Our traceroute implementation supports this feature, I believe others do
as well.

--Brian
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------